SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Functions | Variables
RakSleep.cpp File Reference
`#include <pthread.h>`
`#include <time.h>`
`#include <sys/time.h>`
`#include "slikenet/sleep.h"`

Go to the source code of this file.

## Functions

void | RakSleep (unsigned int ms)

## Variables

pthread_mutex_t | fakeMutex = PTHREAD_MUTEX_INITIALIZER
pthread_cond_t | fakeCond = PTHREAD_COND_INITIALIZER

## Function Documentation

void RakSleep | ( | unsigned int | ms | ) |

Definition at line 41 of file RakSleep.cpp.

References fakeCond, and fakeMutex.

Referenced by SLNet::RNS2_Berkley::BlockOnStopRecvPollingThread(), SLNet::RakPeerInterface::Get64BitUniqueRandomNumber(), SLNet::RakPeer::GetSocket(), SLNet::RakPeer::GetSockets(), ThreadPool< InputType, OutputType >::Pause(), SLNet::RNS2_Berkley::RecvFromLoopInt(), SLNet::RakPeer::Shutdown(), ThreadPool< InputType, OutputType >::StartThreads(), SLNet::RakPeer::Startup(), and ThreadPool< InputType, OutputType >::StopThreads().

## Variable Documentation

pthread_cond_t fakeCond = PTHREAD_COND_INITIALIZER

Definition at line 30 of file RakSleep.cpp.

Referenced by RakSleep().

pthread_mutex_t fakeMutex = PTHREAD_MUTEX_INITIALIZER

Definition at line 29 of file RakSleep.cpp.

Referenced by RakSleep().